Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.velocity.components
Class BeanDirective

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.struts2.views.velocity.components.AbstractDirective
              org.apache.struts2.views.velocity.components.BeanDirective

All Implemented Interfaces:
  Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

    public class BeanDirective

extends AbstractDirective

See Also:
  `Bean`

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`BeanDirective()`

Method Summary
`protected Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`String` | `getBeanName()`

Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective
`createPropertyMap, getName, getType, putProperty, render`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, getTemplateName, init, setLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanDirective

    public BeanDirective()

Method Detail

### getBeanName

    public String getBeanName()

  Specified by:
    `getBeanName` in class `AbstractDirective`

### getBean

    protected Component getBean(ValueStack stack,
                                javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `AbstractDirective`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.